LOG

Supported Network

Network

Supporting

Ethereum Mainnet

✅

Ethereum Testnet (sepolia)

✅

Ethereum Testnet (hoodi)

✅

Base Mainnet

✅

Base Testnet (sepolia)

✅

BNB Mainnet

✅

BNB Testnet

✅

Polygon Mainnet

✅

Arbitrum Mainnet

✅

Arbitrum Testnet (sepolia)

✅

Optimism Mainnet

✅

Optimism Testnet (sepolia)

✅

Kaia Mainnet

✅

Kaia Testnet (kairos)

✅

Avalanche Mainnet

✅

Tron Mainnet

✅

Giwa Testnet (sepolia)

✅

Arc Mainnet

✅

Arc Testnet

✅

Aptos Mainnet

❌

Aptos Testnet

❌



Webhook Creation Request Example

When setting the eventType value to LOG, the available condition object fields are as follows.

Key

Type

Description

Required

Example Value

address

String

The contract address where the event you want to monitor is defined.

true

0xdAC17F958D2ee523a2206206994597C13D831ec7

topics[4]

Array of String

The topic array object of the event log to monitor. Can contain up to 4 strings.

true

["0xddf252ad1be2c89b69c2b068fc378daa952ba7f163c4a11628f55a4df523b3ef",
"0x000000000000000000000000b7aa2d3c833a6827c4f39bef9622d7cddf66b7e7",
"0x0000000000000000000000003264039cfaa37a70a0e8ccfbf4b7e60bedce5c9f"]

Request Example

curl --location 'https://web3.nodit.io/v1/ethereum/mainnet/webhooks' \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: ••••••' \
--data '{
  "eventType": "LOG",
  "description": "{WEBHOOK_DESCRIPTION}",
  "notification": {
    "webhookUrl": "{WEBHOOK_LISTENER_ENDPOINT}"
  },
  "isInstant": false,
  "condition": {
    "address": "0xdAC17F958D2ee523a2206206994597C13D831ec7",
    "topics":[
        "0xddf252ad1be2c89b69c2b068fc378daa952ba7f163c4a11628f55a4df523b3ef",
        "0x000000000000000000000000b7aa2d3c833a6827c4f39bef9622d7cddf66b7e7",
        "0x0000000000000000000000003264039cfaa37a70a0e8ccfbf4b7e60bedce5c9f"
    ]
  }
}'

Response Example

📍 Type: Log (EVM)

Event logs emitted on EVM-based chains.

{
  "subscriptionId": "4975",
  "sequenceNumber": "2",
  "description": "{WEBHOOK_DESCRIPTION}",
  "protocol": "ethereum",
  "network": "mainnet",
  "subscriptionType": "WEBHOOK",
  "notification": {
    "webhookUrl": "{WEBHOOK_LISTENER_ENDPOINT}"
  },
  "eventType": "LOG",
  "event": {
    "targetAddresses": [
      "0xdAC17F958D2ee523a2206206994597C13D831ec7"
    ],
    "topics": [
      "0xddf252ad1be2c89b69c2b068fc378daa952ba7f163c4a11628f55a4df523b3ef",
      "0x000000000000000000000000b7aa2d3c833a6827c4f39bef9622d7cddf66b7e7",
      "0x0000000000000000000000003264039cfaa37a70a0e8ccfbf4b7e60bedce5c9f"
    ],
    "messages": [
      {
        "address": "0xdac17f958d2ee523a2206206994597c13d831ec7",
        "topics": [
          "0xddf252ad1be2c89b69c2b068fc378daa952ba7f163c4a11628f55a4df523b3ef",
          "0x000000000000000000000000b7aa2d3c833a6827c4f39bef9622d7cddf66b7e7",
          "0x0000000000000000000000003264039cfaa37a70a0e8ccfbf4b7e60bedce5c9f"
        ],
        "data": "0x000000000000000000000000000000000000000000000000000000001dceeba0",
        "block_number": 21492732,
        "transaction_hash": "0x6a7be5762c3e6e7a0d40199612133c9b967dcee1c02c51c2c82db4bc6f47b652",
        "transaction_index": 180,
        "log_index": 390,
        "block_hash": "0xee749b0f3ec7b1bfb44ea2424af1f45cadc05110dc7f7acc3b91dd60c9b77ece",
        "block_timestamp": 1735289687,
        "removed": false,
        "type": "log"
      }
    ]
  },
  "createdAt": "2024-12-27T08:56:48.396Z"
}

📍 Type: Log (Tron)

Event logs emitted on the Tron chain. Addresses are provided in Base58 format (starting with T), and topics and data are hex strings without the 0x prefix. Unlike EVM logs, there is no removed field, and tx_id/tx_index are used instead of transaction_hash/transaction_index.

{
  "subscriptionId": "4975",
  "sequenceNumber": "2",
  "description": "{WEBHOOK_DESCRIPTION}",
  "protocol": "tron",
  "network": "mainnet",
  "subscriptionType": "WEBHOOK",
  "notification": {
    "webhookUrl": "{WEBHOOK_LISTENER_ENDPOINT}"
  },
  "eventType": "LOG",
  "event": {
    "targetAddresses": [
      "T..."
    ],
    "topics": [
      "ddf252ad..."
    ],
    "messages": [
      {
        "address": "T...",
        "topics": [
          "ddf252ad..."
        ],
        "data": "0000...",
        "log_index": 0,
        "tx_id": "...",
        "tx_index": 323,
        "block_number": 85768711,
        "block_timestamp": 1787978412,
        "block_hash": "00000000051cba07...",
        "type": "log"
      }
    ]
  },
  "createdAt": "2024-12-27T08:56:48.396Z"
}